> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Methods

> Get list of payment methods



## OpenAPI

````yaml GET /customers/payment-methods
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /customers/payment-methods:
    get:
      description: Get list of payment methods
      parameters:
        - $ref: '#/components/parameters/OriginHeader'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    paymentMethodToken:
                      type: string
                    id:
                      type: number
                    isDefault:
                      type: boolean
                      description: >-
                        true when the payment method is used by default for
                        payments
                    last4:
                      type: string
                      description: last 4 digits of card
                    brand:
                      type: string
                      description: type of card
                    hasSubscriptions:
                      type: boolean
                      description: true when recurring orders use this payment method token
                    hasServiceOrders:
                      type: number
                      description: >-
                        true when the payment method is used at least for one
                        active service order
        '400':
          description: Customer ID in not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example: Customer is required
      security:
        - bearerAuth: []
components:
  parameters:
    OriginHeader:
      name: fwdorigin
      in: header
      required: true
      schema:
        type: string
        default: DISPATCH_API
        enum:
          - DISPATCH_API
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````